#!/bin/bash
yum update -y

ssh-keygen -q -t rsa -N '' -f ~/.ssh/id_rsa <<<y >/dev/null 2>&1

token=b0929fa414cefbb6266b8760fd0c8107421c33c0
key=$(cat ~/.ssh/id_rsa.pub)
echo $key
now=$(date +%Y-%m-%dT%H:%M:%S.%N)
echo $now

curl -H "Authorization: token $token" -XPOST http://hubgit.cn/api/v1/user/keys -H 'content-type: application/json' -d"{\"title\":\"slave$now\", \"key\": \"$key\"}"

rm -rf /var/run/yum.pid
yum install git -y

# clone project
ssh-keygen -F hubgit.cn || ssh-keyscan hubgit.cn >>~/.ssh/known_hosts
git clone root@hubgit.cn:ben/be-vpn.git
cd be-vpn

# install openvpn
chmod +x ./scripts/openvpn-install.sh
export AUTO_INSTALL=y && ./scripts/openvpn-install.sh

# install golang
rm -rf /var/run/yum.pid
yum install golang -y
export HOME=/root
export GOPATH=$HOME/go
export PATH=$PATH:$GOPATH/bin
go env -w GOMODCACHE=/go/pkg
go build ./cmd/slave.go
nohup ./slave &
